import { error } from '@sveltejs/kit';
import { canvas } from '$lib/stores/store';
import { getAllPostersFromDB, addPosterToDB } from '$lib/db/utils';

/** @type {import('./$types').PageServerLoad} */
export const load = () => {
  const posters = getAllPostersFromDB();
  if (posters !== undefined) {
    return {
      posters
    }
  }
  console.log(posters);
  throw error(404, "error");
};

/** @type {import('./$types').Actions} */
export const actions = {
  default: async ({ request }) => {
    console.log("Estoy aquí");
    const data = await request.formData();
  }

}
